import os

from .base import *  # noqa


DEBUG = True


# database settings

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': os.environ.get('MYSQL_DATABASE'),
        'USER': os.environ.get('MYSQL_USER'),
        'PASSWORD': os.environ.get('MYSQL_PASSWORD'),
        'HOST': 'db',
        'PORT': '3306',
        'OPTIONS': {'init_command': 'SET storage_engine=INNODB', },
    }
}


# EVOTE ENDPOINTS

EVOTE_SERVICES_ENDPOINTS = {
    'anonymizer': 'http://anonymizerservice/api/v1/'
}
