from django.test import SimpleTestCase


class SettingsTest(SimpleTestCase):
    """ """

    def test_base_settings(self):
        """ """
        from evotecounter.settings import base
        self.assertTrue(hasattr(base, "SECRET_KEY"))

    def test_base_staging_settings(self):
        """ """
        from evotecounter.settings import staging
        self.assertTrue(hasattr(staging, "SECRET_KEY"))

    def test_base_dev_settings(self):
        """ """
        from evotecounter.settings import dev
        self.assertTrue(hasattr(dev, "SECRET_KEY"))

    def test_base_docker_settings(self):
        """ """
        from evotecounter.settings import docker
        self.assertTrue(hasattr(docker, "SECRET_KEY"))

    def test_base_prod_settings(self):
        """ """
        from evotecounter.settings import production
        self.assertTrue(hasattr(production, "SECRET_KEY"))


class WsgiTest(SimpleTestCase):

    def test_load_wsgi(self):
        from evotecounter.wsgi import application
        self.assertIsNotNone(application._request_middleware)


class UrlsTest(SimpleTestCase):

    def test_load_urls(self):
        from evotecounter import urls
        self.assertIsNotNone(urls)
